Bug 94832 - REGRESSION: Directional text, two whitespaces and <span dir="auto">..</span> cause the following text to disappear
Summary: REGRESSION: Directional text, two whitespaces and <span dir="auto">..</span> ...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: HasReduction, NeedsRadar, Regression
Depends on:
Blocks:
 
Reported: 2012-08-23 12:22 PDT by Ryosuke Niwa
Modified: 2013-12-09 03:05 PST (History)
13 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2012-08-23 12:22:01 PDT
What steps will reproduce the problem?
1. Open attached file - the test case

What is the expected result?

. CD

What happens instead?

. C

http://bug-attachment.wikimedia.org/attachment.cgi?id=10856
Comment 2 Marcin CIEŚLAK 2012-08-24 01:46:55 PDT
Thank you for filing it here. Original bug report with Wikimedia:

https://bugzilla.wikimedia.org/show_bug.cgi?id=38109
Comment 3 Aharon (Vladimir) Lanin 2013-10-02 02:19:01 PDT
This has been recently fixed in Blink. See https://code.google.com/p/chromium/issues/detail?id=260787, https://code.google.com/p/chromium/issues/detail?id=274717 and https://codereview.chromium.org/23298002/.

Due to the serious nature of this bug and its presence in production Safari 6, please consider fixing it on the sooner side and including it in a Safari security update.
Comment 4 Peter Molnar 2013-11-13 01:41:05 PST
This is a duplicate of https://bugs.webkit.org/show_bug.cgi?id=120504 (http://trac.webkit.org/changeset/155554) Someone who has access to security bugs, please set this as CLOSED DUPLICATE, as I don't have permission to do this myself.
Comment 5 Aharon (Vladimir) Lanin 2013-11-13 03:25:50 PST
I don't have permissions to view security bugs either. Is 120504 (and, presumably, this duplicate) fixed now?

And if so, please, pretty please, can the fix be cherry-picked for inclusion in a Safari 6 security update?

I am not really expecting two-way communication here, just that my prayers be passed on to someone who has the power to do that.
Comment 6 Peter Molnar 2013-11-13 03:49:36 PST
(In reply to comment #5)
> Is 120504 (and, presumably, this duplicate) fixed now?

It was fixed in r155554, that was committed about 2 months ago.
Comment 7 Csaba Osztrogonác 2013-11-13 15:38:04 PST
It seems it was already merged to the Safari branch - https://trac.webkit.org/changeset/158164

Lucas, could you close it as resolved/duplicate?
Comment 8 Aharon (Vladimir) Lanin 2013-11-14 12:57:37 PST
Great, thanks!
Comment 9 Derk-Jan Hartman 2013-12-08 05:36:17 PST
Is this issue related to bug 124146, which also deals with multiple spaces getting messed up on dir=auto ?

Cause I just retested that with nightly: Version 7.0 (9537.71, 538+) and I can still see that bug, which seems a bit weird.
Comment 10 Aharon (Vladimir) Lanin 2013-12-09 00:16:59 PST
(In reply to comment #9)
> Is this issue related to bug 124146, which also deals with multiple spaces getting messed up on dir=auto ?

It is related, but the two were fixed separately in Blink. See there.